%define anolis_release 1


Name:           iputils
Version:        20211215
Release:        %{anolis_release}%{?dist}
Summary:        Network monitoring tools including ping
License:        BSD and GPLv2+
URL:            https://github.com/iputils/iputils
Source0:        https://github.com/iputils/iputils/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        rdisc.service
Source2:        ninfod.service

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  glibc-kernheaders >= 2.4-8.19
BuildRequires:  libidn2-devel
BuildRequires:  openssl-devel
BuildRequires:  libcap-devel
BuildRequires:  libxslt docbook5-style-xsl
BuildRequires:  systemd
BuildRequires:  iproute
%{?systemd_ordering}
Provides:       /bin/ping
Provides:       /bin/ping6
Provides:       /sbin/arping
# upstream announced, removed in yet-to-release sources
Provides:       deprecated(/sbin/rdisc)

%description
The iputils package contains basic utilities for monitoring a network,
including ping. The ping command sends a series of ICMP protocol
ECHO_REQUEST packets to a specified network host to discover whether
the target machine is alive and receiving network traffic.

%package ninfod
Summary: Node Information Query Daemon
Requires: iputils = %{version}-%{release}
Provides: %{_sbindir}/ninfod
# upstream announced, removed in yet-to-release sources
Provides: deprecated()

%description ninfod
Node Information Query (RFC4620) daemon. Responds to IPv6 Node Information
Queries.

%prep
%setup -q

%build
%global build_cflags %{build_cflags} -fpie
%global build_ldflags %{build_ldflags} -pie -Wl,-z,relro,-z,now

%meson
%meson_build

%install
%meson_install
%find_lang %{name}

ln -sf ../bin/ping %{buildroot}%{_sbindir}/ping
ln -sf ../bin/ping %{buildroot}%{_sbindir}/ping6
ln -sf ../bin/tracepath %{buildroot}%{_sbindir}/tracepath
ln -sf ../bin/tracepath %{buildroot}%{_sbindir}/tracepath6
ln -sf ../bin/arping %{buildroot}%{_sbindir}/arping
ln -sf ping.8.gz %{buildroot}%{_mandir}/man8/ping6.8.gz
ln -sf tracepath.8.gz %{buildroot}%{_mandir}/man8/tracepath6.8.gz

%post
%systemd_post rdisc.service

%preun
%systemd_preun rdisc.service

%postun
%systemd_postun_with_restart rdisc.service

%post ninfod
%systemd_post ninfod.service

%preun ninfod
%systemd_preun ninfod.service

%postun ninfod
%systemd_postun_with_restart ninfod.service

%files -f %{name}.lang
%license Documentation/LICENSE.BSD3 Documentation/LICENSE.GPL2
%{_unitdir}/rdisc.service
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/clockdiff
%attr(0755,root,root) %caps(cap_net_raw=p) %{_bindir}/arping
%attr(0755,root,root) %{_bindir}/ping
%{_sbindir}/rdisc
%{_bindir}/tracepath
%{_sbindir}/ping
%{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%{_sbindir}/arping
%attr(644,root,root) %{_mandir}/man8/clockdiff.8.gz
%attr(644,root,root) %{_mandir}/man8/arping.8.gz
%attr(644,root,root) %{_mandir}/man8/ping.8.gz
%{_mandir}/man8/ping6.8.gz
%attr(644,root,root) %{_mandir}/man8/rdisc.8.gz
%attr(644,root,root) %{_mandir}/man8/tracepath.8.gz
%{_mandir}/man8/tracepath6.8.gz


%files ninfod
%attr(0755,root,root) %caps(cap_net_raw=ep) %{_sbindir}/ninfod
%{_unitdir}/ninfod.service
%attr(644,root,root) %{_mandir}/man8/ninfod.8.gz

%changelog
* Wed Mar 02 2022 Su Lifan <su-lifan@linux.alibaba.com> - 20211215-1
- Initial packaging for Anolis OS 23
